> For the complete documentation index, see [llms.txt](https://docs.1kosmos.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.1kosmos.com/mobile-sdk/native/ios/api-reference/classes/qrscannerhelper.md).

# QRScannerHelper

**public class** QRScannerHelper

* This helper class provides QR scanning functionality.

### Constructor

public init(bidScannerView: BIDScannerView, kQRScanResponseDelegate: QRScanResponseDelegate)

* Creates an object of QRScannerHelper.

| Parameters              |                            |                                                      |
| ----------------------- | -------------------------- | ---------------------------------------------------- |
| bidScannerView          | **BIDScannerView**         | An object of BIDScannerView.                         |
| kQRScanResponseDelegate | **QRScanResponseDelegate** | The block to execute after the response is received. |

### Method Summary

| Parameters |                   |                                                |
| ---------- | ----------------- | ---------------------------------------------- |
| **Bool**   | isRunning()       | Indicates if the QR scanner is running or not. |
| **void**   | startQRScanning() | Starts the QR scanner.                         |
| **void**   | stopQRScanning()  | Stops the QR scanner.                          |

### Method Detail

#### isRunning

**public** func isRunning() -> **Bool**

* Indicates whether the QR scanner is running.

***

#### startQRScanning

**public** func startQRScanning()

* Starts the QR scanner.

***

#### stopQRScanning

**public** func stopQRScanning()

* Stops the QR scanner.

***

### Protocol Summary

| Protocal               | Description                                           |
| ---------------------- | ----------------------------------------------------- |
| QRScanResponseDelegate | Callback for the event when QR scanning is completed. |

#### QRScanResponseDelegate

**public protocol** QRScanResponseDelegate: **AnyObject**

* Callback for when QR scanning is complete.

**Method Summary**

func onQRScanResult(qrCodeData: String?)

* Called when QR scanning is completed.

| Parameter  | Type       | Description                                               |
| ---------- | ---------- | --------------------------------------------------------- |
| qrCodeData | **String** | Returns the QR code data after the scanning is completed. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.1kosmos.com/mobile-sdk/native/ios/api-reference/classes/qrscannerhelper.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
